summaryrefslogtreecommitdiff
path: root/helpers/lh_bootstrap_copy
diff options
context:
space:
mode:
authorDaniel Baumann <daniel@debian.org>2007-09-23 10:05:12 +0200
committerDaniel Baumann <daniel@debian.org>2011-03-09 18:19:41 +0100
commit504c05c3a63de0af4fd0e876274afc039c5c0ed1 (patch)
tree5a29d0f82735a131c9319b5b825c57b740584d13 /helpers/lh_bootstrap_copy
parent37a5c53ddd2825bf6b0ce521908a63d419683981 (diff)
downloadlive-build-504c05c3a63de0af4fd0e876274afc039c5c0ed1.zip
live-build-504c05c3a63de0af4fd0e876274afc039c5c0ed1.tar.gz
Adding live-helper 1.0~a15-1.
Diffstat (limited to 'helpers/lh_bootstrap_copy')
-rwxr-xr-xhelpers/lh_bootstrap_copy58
1 files changed, 58 insertions, 0 deletions
diff --git a/helpers/lh_bootstrap_copy b/helpers/lh_bootstrap_copy
new file mode 100755
index 0000000..c1991fb
--- /dev/null
+++ b/helpers/lh_bootstrap_copy
@@ -0,0 +1,58 @@
+#!/bin/sh
+
+# lh_bootstrap_copy(1) - bootstrap by copying the host system
+# Copyright (C) 2006-2007 Daniel Baumann <daniel@debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+# Including common functions
+LH_BASE="${LH_BASE:-/usr/share/live-helper}"
+
+for FUNCTION in "${LH_BASE}"/functions/*.sh
+do
+ . "${FUNCTION}"
+done
+
+# Setting static variables
+DESCRIPTION="bootstrap by copying the host system"
+HELP=""
+USAGE="${PROGRAM} [--force]"
+
+Arguments "${@}"
+
+# Reading configuration files
+Read_conffile config/common
+Read_conffile config/bootstrap
+Read_conffile config/chroot
+Read_conffile config/binary
+Read_conffile config/source
+Set_defaults
+
+if [ "${LH_BOOTSTRAP}" != "copy" ]
+then
+ exit 0
+fi
+
+Echo_message "Begin bootstrapping system..."
+
+# Ensure that a system is built as root
+lh_testroot
+
+# Checking stage file
+Check_stagefile .stage/bootstrap
+
+# Checking lock file
+Check_lockfile .lock
+
+# Creating lock file
+Create_lockfile .lock
+
+# Copying host system
+find / ! -name /proc ! -name /sys ! -name "`dirname ${PWD}`" | xargs cp -a chroot
+
+# Creating stage file
+Create_stagefile .stage/bootstrap